/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.bcsftp;

import org.ow2.petals.cli.api.command.ConnectionCommand;
import org.ow2.petals.cli.api.command.DisconnectionCommand;
import org.ow2.petals.cli.base.junit.AbstractEmbeddedCommandsTest;

/**
 * A unit test to check that Petals ESB CLI extension embeds all its commands, and only the expected commands.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class EmbeddedCommandsTest extends AbstractEmbeddedCommandsTest {

    private final static Class<?>[] EXPECTED_COMMANDS = new Class[] { BcSftpCheckConnect.class };

    @Override
    protected Class<?>[] getExpectedCommands() {
        return EXPECTED_COMMANDS;
    }

    @Override
    protected void assertConnectionCommand(final ConnectionCommand command) {
        // No connection command to check in this extension
    }

    @Override
    protected void assertDisconnectionCommand(final DisconnectionCommand command) {
        // No disconnection command to check in this extension
    }

}
